using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// از این کلاس برای مشاهده نام کاربرانی که سفارش کالا از انبار داشته اند استفاده می شود
/// </summary>
public class Class_tblOrders_Users
{
    DataTable Dt_UsersList = new DataTable();
	public Class_tblOrders_Users()
	{
	}
    // از این متد برای واکشی نام کاربری کاربرانی استفاده می شود که حداقل یک بار درخواست سفارش کالا از انبار را داشته اند
    public void UDF_GetUsersList()
    {
        Dt_UsersList.Columns.Add("RowID", typeof(int));
        Dt_UsersList.Columns.Add("UserName", typeof(String));
        int int_RowCnt = 0;
        Dt_UsersList.Rows.Add(new Object[] { int_RowCnt, "مشاهده تمام سفارشات . . ." });
        int_RowCnt++;
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        var wordGroups = from w in db.xtblOrders
                         group w by w.UserName into g
                         select new { FirstLetter = g.Key.ToString().ToLower(), Words = g };
        foreach (var g in wordGroups)
        {
            Dt_UsersList.Rows.Add(new Object[] {int_RowCnt, g.FirstLetter});
            int_RowCnt++;
        }
    }

    public DataTable Dt_UsersNames
    {
        get
        {
            return Dt_UsersList;
        }
    }
}
